Story # 1906 (Closed): Review, revise, and update architecture documentation

Remove errorCode from list of Exceptions in the REST calls

2011-11-01 15:10 - Roger Dahl

Status: Rejected Start date: 2011-11-01

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Each REST call has a list of exceptions that may be returned for that call, such as:

Exceptions.NotAuthorized – (errorCode=401, detailCode=1360)

I think we should remove errorCode from that list because it is part of the definition of the exception and it can be easily obtained by

clicking on the exception. To create or consume the exception, the additional details that are available on the exception page are

also needed.

History

#1 - 2011-11-03 20:41 - Dave Vieglais

- Status changed from New to Rejected

This is a minor issue about document formatting. My preference is to have the information available in several locations.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog

Powered by TCPDF (www.tcpdf.org)

2024-05-06 1/1

http://www.tcpdf.org

